Unit Unit11;

{$mode objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, Spin, StdCtrls;

Type

  { TFlyingForm }

  TFlyingForm = Class(TForm)
    PreferredViewComboBox: TComboBox;
    Panel1: TPanel;
    TemplateLevelSpinEdit: TSpinEdit;
    BlockLevelSpinEdit: TSpinEdit;
    Procedure BlockLevelSpinEditChange(Sender: TObject);
    Procedure PreferredViewComboBoxChange(Sender: TObject);
    Procedure TemplateLevelSpinEditChange(Sender: TObject);
  Private
    { private declarations }
  Public
    { public declarations }
  End;

Var
  FlyingForm: TFlyingForm;

Implementation
Uses Unit1;

{ TFlyingForm }

Procedure TFlyingForm.TemplateLevelSpinEditChange(Sender: TObject);
Begin
  Unit1.Scene.MaxDisplayedTemplateDepth:=TemplateLevelSpinEdit.Value;
  Unit1.RepaintView;
end;

Procedure TFlyingForm.PreferredViewComboBoxChange(Sender: TObject);
Begin
  Unit1.Scene.PreferredView:=PreferredViewComboBox.Text;
  Unit1.RepaintView;
end;

Procedure TFlyingForm.BlockLevelSpinEditChange(Sender: TObject);
Begin
  Unit1.Scene.MaxDisplayedBlockDepth:=BlockLevelSpinEdit.Value;
  Unit1.RepaintView;
end;

Initialization
  {$I unit11.lrs}

End.

